Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0009369 [DCSS] Patches feature N/A 2014-12-30 20:30 2015-04-17 16:45
Reporter RBrandon View Status public  
Assigned To wheals
Priority normal Resolution done  
Status resolved   Product Branch 0.16 ancient branch
Summary 0009369: Add two bonus skill titles for player demonspawn
Description Adds the "Warmonger" title for demonspawn with Fighting == 27 and the
"Blood Saint" title for Invocations == 27 and worshipping Makhleb.
These are a nice little unique reward for powerful demonspawn players,
similar to the elven mastery titles. Monster blood saints are
technically worshippers of Kiku too, but obviously then the Invocations
skill is unusable.

Using the other monster demonspawn jobs for titles seems inappropriate,
or at least difficult. I suppose XL could be used for Chaos Champion,
but Corrupter would be tricky unless it used Invocations as well.

Additional Information
Tags No tags attached.
Attached Files ? file icon 0001-Add-two-bonus-skill-titles-for-player-demonspawn.patch [^] (2,090 bytes) 2014-12-30 20:30 [Show Content]

- Relationships

-  Notes
(0028202)
neil (administrator)
2015-01-02 22:53
edited on: 2015-01-02 22:54

"Champion of Chaos" and "Chaos Champion" are already pretty close, so maybe that slight tweak would be better than "Blood Saint". But that's kind of subtle.

"Corrupter" is pretty close to Lugonu's "Corrupter of Planes", but that variation would also be subtle.

I do like "Warmonger".

(0028214)
RBrandon (reporter)
2015-01-03 04:36

Note that what I said about blood saints is wrong; they worship Makhleb only while black suns worship Kiku. This only affects the commit message, not the patch itself.

I briefly considered making the warmonger title require Trog/Oka worship, but that might make it more unclear as to how to obtain it. I suppose this applies moreso for the Blood Saint title as implemented in this patch, as Invocations is probably less desirable to have at very high levels than Fighting. It could, however, just as easily replace the makhleb ****** title for demonspawn. That might make it a bit less unwieldy.

It would be odd to replace Champion of Chaos with Chaos Champion, as monster demonspawn Chaos Champions are actually Xom worshippers. That said, the Champion of Chaos title is likely a relic from when Makhleb actually was a CK god and it might not hurt to replace it entirely.
(0028221)
PleasingFungus (administrator)
2015-01-03 07:01
edited on: 2015-01-03 07:03

As I understand it, the design intent is for all of the demonspawn classes to be twisted, corrupt forms of worship for two different gods. Warmongers are Trog/Oka, Black Suns are Kiku/Yred, Corrupters are Jiyva/Lugonu, Blood Saints are Vehumet/Makhleb, ...not sure what the second god for Chaos Champions is, or if they're an exception.

That said, as far as I can tell, they all worship GOD_NAMELESS in-game; I'm not sure where you see "monster demonspawn Chaos Champions are actually Xom worshippers"?

(0028226)
RBrandon (reporter)
2015-01-03 21:06

I was not considering their actual worshipper status; it would have better for me to have said "Xom flavored" or something similar. So what I mean is that it would be odd for Makhleb demonspawn to be called "Chaos Champions" when monster chaos champions are not Makhleb flavored at all. (Though as neil pointed out this can already happen with the Makhleb piety title)
(0028227)
neil (administrator)
2015-01-03 23:24

I missed earlier that "Warmonger" is also already an Okawaru title, and "Black Sun" a Kiku title (could happen with converts).
(0028898)
wheals (administrator)
2015-04-17 16:45

Added; "Blood Saint" is used for all Invo 27 Demonspawn worshipping evil gods. As neil pointed out, Warmonger is already used as a title.

- Issue History
Date Modified Username Field Change
2014-12-30 20:30 RBrandon New Issue
2014-12-30 20:30 RBrandon File Added: 0001-Add-two-bonus-skill-titles-for-player-demonspawn.patch
2015-01-02 22:53 neil Note Added: 0028202
2015-01-02 22:54 neil Note Edited: 0028202
2015-01-03 04:36 RBrandon Note Added: 0028214
2015-01-03 07:01 PleasingFungus Note Added: 0028221
2015-01-03 07:01 PleasingFungus Note Edited: 0028221
2015-01-03 07:03 PleasingFungus Note Edited: 0028221
2015-01-03 21:06 RBrandon Note Added: 0028226
2015-01-03 23:24 neil Note Added: 0028227
2015-04-17 16:45 wheals Note Added: 0028898
2015-04-17 16:45 wheals Status new => resolved
2015-04-17 16:45 wheals Fixed in Branch => 0.16 pre-release branch
2015-04-17 16:45 wheals Resolution open => done
2015-04-17 16:45 wheals Assigned To => wheals


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker